%define name apmd
%define release 26mdk
%define version 3.0final
%define script_version 1.4.12
%define url http://www.worldvisions.ca/~apenwarr/apmd/

Summary: Advanced Power Management (APM) BIOS utilities for laptops.
Name: %{name}
Version: %{version}
Release: %{release}
Source: ftp://ftp.debian.org/debian/dists/unstable/main/source/admin/%{name}_%{version}-1.tar.bz2
Source1: apmd.init
Patch1: apmd-graphicswitch.patch.bz2
Patch2: apmd-FHS.patch.bz2
Patch4: apmd-kernel-2.4.patch.bz2
Patch5: apmd-glibc-2.2.2.patch.bz2
Patch6: apmd-3.0-security.patch.bz2
Patch7: apmd-typo.patch.bz2
Patch8: apmd-3.0-obsoleteopts.patch.bz2
License: GPL
Group: System/Servers
BuildRequires:	XFree86-devel
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{_prefix}
Requires: common-licenses, apm-scripts
Requires(post,preun): chkconfig
Requires(post): initscripts >= 5.53
ExclusiveArch: %{ix86} ppc
BuildPrereq: tar >= 1.13.18
Url: %{url}

%description
APMD is a set of programs for controlling the Advanced Power 
Management daemon and utilities found in most modern laptop 
computers. APMD can watch your notebook's battery and warn 
users when the battery is low. APMD is also capable of shutting 
down the PCMCIA sockets before a suspend.

Install the apmd package if you need to control the APM system 
on your laptop.


%package devel
Summary: The development librairies for APM.
Group: Development/C
Requires: %{name}
Url: %{url}

%description devel
APMD is a set of programs for controlling the Advanced Power 
Management daemon and utilities found in most modern laptop 
computers. APMD can watch your notebook's battery and warn 
users when the battery is low. APMD is also capable of shutting 
down the PCMCIA sockets before a suspend.

Install the apmd-devek package if you want to develop with the apm
librairies.


%prep
%setup -q -n apmd
%patch1 -p1
%patch2 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1

%build
%serverbuild
make CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/{sysconfig/apm-scripts,rc.d/init.d}

%makeinstall APMD_PROXY_DIR=$RPM_BUILD_ROOT/etc

install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/apmd

chmod a+r ANNOUNCE BUGS.apmsleep ChangeLog README README.transfer LSM

%clean
rm -rf $RPM_BUILD_ROOT

%post 
%_post_service apmd

%preun
%_preun_service apmd

%triggerpostun -- apmd <= 3.0final-6
/sbin/chkconfig --add apmd

%files
%defattr(-,root,root)
%doc ANNOUNCE BUGS.apmsleep ChangeLog README README.transfer LSM
%{_mandir}/man?/*
%{_bindir}/*
%{_sbindir}/*
%config(noreplace) /etc/rc.d/init.d/apmd

%files devel
%defattr(-,root,root)
%doc TODO
%{_includedir}/*
%{_libdir}/*a

%changelog
* Mon Nov 19 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0final-26mdk
- Add URL.
- Fix build with latest makeinstall.

* Fri Oct 19 2001 Stefan van der Eijk <stefan@eijk.nu> 3.0final-25mdk
- BuildRequires:	XFree86-devel
- Copyright --> License

* Fri Sep 28 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0final-24mdk
- Make doc readable.

* Fri Aug 24 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0final-23mdk
- Fix initscripts.

* Thu Aug 23 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0final-22mdk
- Remove apm-scripts here and require apm-scripts package.

* Wed Aug 22 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0final-21mdk
- Merge RH changes.

* Sat Jul  7 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 3.0final-20mdk
- remove redundant ExclusiveArch
- Requires: CommonLicenses
- additional documentation

* Sun Apr  8 2001 Frederic Lepied <flepied@mandrakesoft.com> 3.0final-19mdk
- use server macros

* Wed Apr  4 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0final-18mdk
- Merge with 1.4.12 RH script (fix #2914).

* Mon Apr  2 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0final-17mdk
- Fix glibc-2.2.2 compil.
- Readd tailf manpages.

* Tue Feb 13 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0final-16mdk
- Remove tailf manpages since we don't include the binary.
- Fix compile with kernel-2.4.

* Tue Nov 28 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0final-15mdk
- Make apmd-devel requires apmd.
- Make %config files as (noreplace).
- script_version 1.4.0.

* Mon Nov 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0final-14mdk
- No need to build xapm.

* Thu Nov  2 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0final-13mdk
- Set clock --hctosys after suspend (#742).

* Tue Oct  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0final-12mdk
- Fix spelling error.
- Add NETWORK_RESTART option for some laptop.

* Tue Oct  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0final-11mdk
- remove silly temporary files (thks Alexander).

* Mon Oct  2 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0final-10mdk
- Upgrade to bero 1.4.9 scripts.

* Mon Oct  2 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0final-9mdk
- Integrated suggetions of (Michael Reinsch <mr@uue.org>) :
		- Fix shell syntax in LOCk_X
		- use RESTORESOUNDPROGS only when lsof is here.
		- use service sound to restore the sound and remove the SOUNDMODULES stuff.

* Tue Sep 26 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0final-8mdk
- Merge with rh scripts.

* Wed Jul 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0final-7mdk
- Don't resumie anancron job if we are low in power.
- Resume sound if the commercial oss drivers are loaded.
- BM.
- Macros.


* Sun Jun  4 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0final-6mdk
- Upgrade apm_script from rh.
- Add SUSPEND_USB option to apm_script.

* Tue Apr 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0final-5mdk
- Remove bogus require from -devel.

* Fri Apr  7 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0final-4mdk
- Fix apmd-devel groups.

* Wed Mar 29 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0final-3mdk
- bzip2 man pages (again afther johnb).

* Sun Mar 19 2000 John Buswell <johnb@mandrakesoft.com> 3.0final-2mdk
- Added PPC support

* Mon Mar 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0final-1mdk
- Adjust groups.
- Upgrade to debian 3.0final.
- Upgrade 1.2.1 redhat script.
- Clean up specs.

* Mon Dec 20 1999 Frederic Lepied <flepied@mandrakesoft.com> 3.0beta9-6mdk

- added graphic switch patch.

* Fri Nov 12 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Merge with the rh package :
  - Put in new apm scripts to handle PCMCIA suspend/resume, and give the
  possibility to refresh displays and reload sound modules for some
  broken chipsets.

* Mon Oct 25 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add a provides to fix ghost bug with rpm :-\. 

* Mon Oct 18 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 3.0beta9.
- Split package with -devel.

* Wed Jun 23 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- 3.0beta8

* Tue Jun 22 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Merging with RedHat change :
	- add check for /proc/apm (not on SMP) (#3403)
	- shell script tweak (#3176).

* Fri May  7 1999 Bill Nottingham <notting@redhat.com>
- set -u flag for utc

* Sat Apr 17 1999 Matt Wilson <msw@redhat.com>
- prereqs chkconfig

* Fri Apr 16 1999 Cristian Gafton <gafton@redhat.com>
- exlusive arch i3786, as sparcs and alphas have no apm support...

* Wed Apr 14 1999 <ewt@redhat.com>
- removed X bits; gnome has a much better X interface for apm anyway

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Fri Mar 19 1999 Preston Brown <pbrown@redhat.com>
- quoted APMD_OPTIONS variable in the init script

* Tue Mar 09 1999 Preston Brown <pbrown@redhat.com>
- whoops, making /etc/rc.d/init.d/apmd a directory was a bad idea. fixed.

* Mon Mar 08 1999 Preston Brown <pbrown@redhat.com>
- now owned by Avery Pennarun <apenwarr@debian.org>, upgraded to his latest.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Fri Nov 06 1998 Preston Brown <pbrown@redhat.com>
- updated to latest patchlevel from web page.

* Wed Apr 22 1998 Michael K. Johnson <johnsonm@redhat.com>
- enhanced init script

* Thu Apr 1 1998 Erik Troan <ewt@redhat.com>
- moved init script into a separate source file
- added restart and status options to initscript
- made it use a build root
- don't start apm when the package is installed
- don't stop apm when the package is removed

* Mon Dec  8 1997 Jan "Yenya" Kasprzak <kas@fi.muni.cz>
- Compiled on RH5.0 against libc6.
- Renamed /etc/rc.d/init.d/apmd.init to /etc/rc.d/init.d/apmd
- Make /etc/rc.d/init.d/apmd to be chkconfig-compliant.

* Thu Oct  2 1997 Jan "Yenya" Kasprzak <kas@fi.muni.cz>
- Fixed buggy /etc/sysconfig/apmd file generation in the spec file.
- Added a patch for apm.c's option handling.
- Both fixes were submitted by Richard D. McRobers <rdm@csn.net>
